Skip to content

FreeType » Docs » Controlling FreeType Modules » The SVG driver

# The SVG driver

## Synopsis

By default, FreeType can only load the ‘SVG ’ table of OpenType fonts if configuration macro `FT_CONFIG_OPTION_SVG` is defined. To make it render SVG glyphs, an external SVG rendering library is needed. All details on the interface between FreeType and the external library via function hooks can be found in section ‘OpenType SVG Fonts’.

The OT-SVG driver's module name is ‘ot-svg’; it supports a single property called `svg-hooks`, documented below in the ‘Driver properties’ section.